<template>
  <div class="bbsl-common-page">
    <el-row :gutter="10">
      <el-col :span="24">
        <div class="module-box">
          <!--    危险源-区域设备分析      -->
          <regional-equipment-analysis />
        </div>
      </el-col>
    </el-row>
    <el-row :gutter="10">
      <el-col :span="8">
        <div class="module-box">
          <!--    危险源-传感器状态对比      -->
          <sensor-status-comparison />
        </div>
      </el-col>
      <el-col :span="8">
        <div class="module-box">
          <!--    危险源-报警数据分析统计      -->
          <alarm-data-statistics />
        </div>
      </el-col>
      <el-col :span="8">
        <div class="module-box">
          <!--    危险源-报警率事件对比      -->
          <alarm-highest-event />
        </div>
      </el-col>
    </el-row>
    <el-row :gutter="10">
      <el-col :span="12">
        <div class="module-box">
          <!--     报警率事件排名     -->
          <ranking-alarm-devices />
        </div>
      </el-col>
      <el-col :span="12">
        <div class="module-box">
          <!--     报警率区域排名Top5     -->
          <ranking-alarm-rate-positions />
        </div>
      </el-col>
    </el-row>
  </div>
</template>

<script>

import RegionalEquipmentAnalysis from './components/RegionalEquipmentAnalysis/index.vue'
import SensorStatusComparison from './components/SensorStatusComparison/index.vue'
import AlarmDataStatistics from './components/AlarmDataStatistics/index.vue'
import AlarmHighestEvent from './components/AlarmHighestEvent/index.vue'
import RankingAlarmDevices from './components/RankingAlarmDevices/index.vue'
import RankingAlarmRatePositions from './components/RankingAlarmRatePositions/index.vue'

export default {
  name: 'EarlyWarningMonitoring',
  components: {
    RankingAlarmRatePositions,
    RankingAlarmDevices,
    AlarmHighestEvent,
    AlarmDataStatistics,
    SensorStatusComparison,
    RegionalEquipmentAnalysis
  },
  data() {
    return {}
  },
  mounted() {

  },
  methods: {}
}
</script>

<style lang="scss" scoped>
.bbsl-common-page {
  height: 100%;
  background-color: #ebeef4;
  display: flex;
  flex-direction: column;
  row-gap: 10px;
  overflow-y: auto;

  &::-webkit-scrollbar {
    display: none;
  }

  ::v-deep .el-row {

    .el-col {
      height: 100%;

      .module-box {
        height: 450px;
        display: flex;
        flex-direction: column;
        box-sizing: border-box;
        background-color: #fff;
        border-radius: 10px;
        overflow: hidden;
        transition: box-shadow 0.3s;
        box-shadow: rgba(0, 0, 0, 0.05) 0 3px 3px 0;
      }
    }
  }
}
</style>
